BSL430.NET 1.2.1

Public Attributes | List of all members
FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE Class Reference

EEPROM structure specific to FT2232H devices. Inherits from FT_EEPROM_DATA. More...

Inheritance diagram for FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE:

## Public Attributes
bool | PullDownEnable = false
| Determines if IOs are pulled down when the device is in suspend More...
bool | SerNumEnable = true
| Determines if the serial number is enabled More...
bool | ALSlowSlew = false
| Determines if AL pins have a slow slew rate More...
bool | ALSchmittInput = false
| Determines if the AL pins have a Schmitt input More...
byte | ALDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA
| Determines the AL pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
bool | AHSlowSlew = false
| Determines if AH pins have a slow slew rate More...
bool | AHSchmittInput = false
| Determines if the AH pins have a Schmitt input More...
byte | AHDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA
| Determines the AH pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
bool | BLSlowSlew = false
| Determines if BL pins have a slow slew rate More...
bool | BLSchmittInput = false
| Determines if the BL pins have a Schmitt input More...
byte | BLDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA
| Determines the BL pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
bool | BHSlowSlew = false
| Determines if BH pins have a slow slew rate More...
bool | BHSchmittInput = false
| Determines if the BH pins have a Schmitt input More...
byte | BHDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA
| Determines the BH pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
bool | IFAIsFifo = false
| Determines if channel A is in FIFO mode More...
bool | IFAIsFifoTar = false
| Determines if channel A is in FIFO target mode More...
bool | IFAIsFastSer = false
| Determines if channel A is in fast serial mode More...
bool | AIsVCP = true
| Determines if channel A loads the VCP driver More...
bool | IFBIsFifo = false
| Determines if channel B is in FIFO mode More...
bool | IFBIsFifoTar = false
| Determines if channel B is in FIFO target mode More...
bool | IFBIsFastSer = false
| Determines if channel B is in fast serial mode More...
bool | BIsVCP = true
| Determines if channel B loads the VCP driver More...
bool | PowerSaveEnable = false
| For self-powered designs, keeps the FT2232H in low power state until BCBUS7 is high More...
Public Attributes inherited from FTD2XX_NET.FTDI.FT_EEPROM_DATA
UInt16 | VendorID = 0x0403
| Vendor ID as supplied by the USB Implementers Forum More...
UInt16 | ProductID = 0x6001
| Product ID More...
string | Manufacturer = "FTDI"
| Manufacturer name string More...
string | ManufacturerID = "FT"
| Manufacturer name abbreviation to be used as a prefix for automatically generated serial numbers More...
string | Description = "USB-Serial Converter"
| Device description string More...
string | SerialNumber = ""
| Device serial number string More...
UInt16 | MaxPower = 0x0090
| Maximum power the device needs More...
bool | SelfPowered = false
| Indicates if the device has its own power supply (self-powered) or gets power from the USB port (bus-powered) More...
bool | RemoteWakeup = false
| Determines if the device can wake the host PC from suspend by toggling the RI line More...

## Detailed Description

EEPROM structure specific to FT2232H devices. Inherits from FT_EEPROM_DATA.

## Member Data Documentation

## ◆ AHDriveCurrent

byte FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.AHDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA

Determines the AH pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ AHSchmittInput

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.AHSchmittInput = false

Determines if the AH pins have a Schmitt input

## ◆ AHSlowSlew

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.AHSlowSlew = false

Determines if AH pins have a slow slew rate

## ◆ AIsVCP

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.AIsVCP = true

Determines if channel A loads the VCP driver

## ◆ ALDriveCurrent

byte FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.ALDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA

Determines the AL pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ ALSchmittInput

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.ALSchmittInput = false

Determines if the AL pins have a Schmitt input

## ◆ ALSlowSlew

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.ALSlowSlew = false

Determines if AL pins have a slow slew rate

## ◆ BHDriveCurrent

byte FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.BHDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA

Determines the BH pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ BHSchmittInput

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.BHSchmittInput = false

Determines if the BH pins have a Schmitt input

## ◆ BHSlowSlew

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.BHSlowSlew = false

Determines if BH pins have a slow slew rate

## ◆ BIsVCP

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.BIsVCP = true

Determines if channel B loads the VCP driver

## ◆ BLDriveCurrent

byte FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.BLDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA

Determines the BL pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ BLSchmittInput

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.BLSchmittInput = false

Determines if the BL pins have a Schmitt input

## ◆ BLSlowSlew

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.BLSlowSlew = false

Determines if BL pins have a slow slew rate

## ◆ IFAIsFastSer

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.IFAIsFastSer = false

Determines if channel A is in fast serial mode

## ◆ IFAIsFifo

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.IFAIsFifo = false

Determines if channel A is in FIFO mode

## ◆ IFAIsFifoTar

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.IFAIsFifoTar = false

Determines if channel A is in FIFO target mode

## ◆ IFBIsFastSer

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.IFBIsFastSer = false

Determines if channel B is in fast serial mode

## ◆ IFBIsFifo

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.IFBIsFifo = false

Determines if channel B is in FIFO mode

## ◆ IFBIsFifoTar

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.IFBIsFifoTar = false

Determines if channel B is in FIFO target mode

## ◆ PowerSaveEnable

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.PowerSaveEnable = false

For self-powered designs, keeps the FT2232H in low power state until BCBUS7 is high

## ◆ PullDownEnable

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.PullDownEnable = false

Determines if IOs are pulled down when the device is in suspend

## ◆ SerNumEnable

bool FTD2XX_NET.FTDI.FT2232H_EEPROM_STRUCTURE.SerNumEnable = true

Determines if the serial number is enabled

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/FTD2XX_NET.cs